Glib::Value< unsigned int > Class Template Reference
Generic Values

`#include <glibmm/value_basictypes.h>`

Inheritance diagram for Glib::Value< unsigned int >:
[legend]

## Public Types

using | CppType = unsigned int
using | CType = guint

## Public Member Functions

void | set (unsigned int data)
unsigned int | get () const
Public Member Functions inherited from Glib::ValueBase
| ValueBase ()
| Initializes the GValue, but without a type. More...
| ValueBase (const ValueBase& other)
ValueBase& | operator= (const ValueBase& other)
| ~ValueBase () noexcept
void | init (GType type)
| Setup the GValue for storing the specified type. More...
void | init (const GValue* value)
| Setup the GValue storing the type and value of the specified value. More...
void | reset ()
| Reset contents to the default value of its type. More...
GValue* | gobj ()
const GValue* | gobj () const

## Static Public Member Functions

static GType | value_type ()

## Additional Inherited Members

Protected Attributes inherited from Glib::ValueBase
GValue | gobject_

## Member Typedef Documentation

using Glib::Value< unsigned int >::CppType = unsigned int

using Glib::Value< unsigned int >::CType = guint

## Member Function Documentation

unsigned int Glib::Value< unsigned int >::get | ( |  | ) | const

void Glib::Value< unsigned int >::set | ( | unsigned int | data | ) |

static GType Glib::Value< unsigned int >::value_type | ( |  | ) |

static